"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _lottie = require("../../assets/lottie");

var _theme = require("../../constant/theme");

var _LottieView = _interopRequireDefault(require("./LottieView"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const ScannerView = () => {
  const frame = require('../../assets/images/scan_mask.png');

  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.wrapper
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: frame,
    style: {
      width: _theme.width * 0.9,
      height: _theme.width * 0.9
    },
    resizeMethod: "auto",
    resizeMode: "contain"
  }), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      position: 'absolute'
    }
  }, /*#__PURE__*/_react.default.createElement(_LottieView.default, {
    source: _lottie.lottie.scanning,
    size: _theme.width * 0.5
  })));
};

const styles = _reactNative.StyleSheet.create({
  wrapper: {
    backgroundColor: 'transparent',
    justifyContent: 'center',
    alignItems: 'center'
  }
});

var _default = ScannerView;
exports.default = _default;
//# sourceMappingURL=ScannerView.js.map