"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = RadioButton;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _theme = require("../../../constant/theme");

var _Atoms = require("../../Atoms");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function RadioButton(_ref) {
  let {
    selected,
    style,
    onPress
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: onPress,
    style: style
  }, /*#__PURE__*/_react.default.createElement(_Atoms.Icon, {
    name: selected ? 'radio-button-active' : 'radio-button-inactive',
    color: _theme.colors.primary,
    size: 20
  }));
}
//# sourceMappingURL=RadioButton.js.map