"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactNative = require("react-native");

var _theme = require("../../../constant/theme");

const styles = _reactNative.StyleSheet.create({
  ghostButton: {
    width: '100%',
    justifyContent: 'center',
    alignItems: 'center',
    paddingVertical: _theme.width * 0.025,
    borderRadius: _theme.width * 0.1,
    borderColor: _theme.colors.primary,
    borderWidth: 1,
    backgroundColor: 'white'
  },
  buttonDefault: {
    width: '100%',
    justifyContent: 'center',
    alignItems: 'center',
    paddingVertical: _theme.width * 0.03,
    borderRadius: _theme.width * 0.1,
    backgroundColor: _theme.colors.primary
  },
  buttonText: {
    flexDirection: 'row'
  },
  disabled: {
    backgroundColor: undefined,
    borderColor: _theme.colors.grey.grey3
  },
  row: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'space-between'
  },
  leftIcon: {
    marginRight: _theme.width * 0.03
  },
  rightIcon: {
    marginLeft: _theme.width * 0.03
  }
});

var _default = styles;
exports.default = _default;
//# sourceMappingURL=button.style.js.map