"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _header = require("./header.style");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const Header = _ref => {
  let {
    androidStatusBarColor,
    iosBarStyle,
    style,
    transparent,
    translucent,
    ref,
    noShadow = false,
    ...props
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [_header.styles.wrapper, noShadow ? {} : _header.styles.shadow, style]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.StatusBar, {
    backgroundColor: androidStatusBarColor ? androidStatusBarColor : 'white',
    barStyle: iosBarStyle ? iosBarStyle : 'dark-content',
    translucent: transparent ? true : translucent
  }), /*#__PURE__*/_react.default.createElement(_reactNative.SafeAreaView, null, /*#__PURE__*/_react.default.createElement(_reactNative.View, _extends({
    ref: ref
  }, props))));
};

var _default = Header;
exports.default = _default;
//# sourceMappingURL=Header.js.map