"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _reactNativeModal = _interopRequireDefault(require("react-native-modal"));

var _theme = require("../../../constant/theme");

var _Text = _interopRequireDefault(require("../../Atoms/Text"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const Fullscreen = _ref => {
  let {
    isVisible,
    body,
    title,
    ...props
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_reactNativeModal.default, _extends({
    animationIn: "slideInUp",
    isVisible: isVisible,
    swipeDirection: ['down'],
    hasBackdrop: true,
    useNativeDriver: true,
    hideModalContentWhileAnimating: true,
    useNativeDriverForBackdrop: true
  }, props), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.body
  }, title ? /*#__PURE__*/_react.default.createElement(_Text.default, {
    text: title,
    color: _theme.colors.grey.white,
    variant: "bold"
  }) : null, body));
};

const styles = _reactNative.StyleSheet.create({
  body: {
    justifyContent: 'center',
    alignItems: 'center'
  }
});

var _default = Fullscreen;
exports.default = _default;
//# sourceMappingURL=Fullscreen.js.map