"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _basic = _interopRequireDefault(require("./basic.style"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const Container = _ref => {
  let {
    children,
    style,
    ...props
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, _extends({
    style: [_basic.default['Basic.Container'], style]
  }, props), children);
};

Container.propTypes = {
  style: _propTypes.default.oneOfType([_propTypes.default.object, _propTypes.default.number, _propTypes.default.array])
};
var _default = Container;
exports.default = _default;
//# sourceMappingURL=Container.js.map