"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.CarouselItem = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _theme = require("../../../constant/theme");

var _slider = require("./slider.style");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

class CarouselItem extends _react.PureComponent {
  constructor(props) {
    super(props);
  }

  render() {
    var _this$props, _this$props2, _this$props3, _this$props4;

    const item = (_this$props = this.props) === null || _this$props === void 0 ? void 0 : _this$props.item;
    return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
      onPress: (_this$props2 = this.props) === null || _this$props2 === void 0 ? void 0 : _this$props2.onPress,
      style: [_slider.styles.container, {
        width: (_this$props3 = this.props) !== null && _this$props3 !== void 0 && _this$props3.itemWidth ? this.props.itemWidth : _theme.width * 0.85
      }, (_this$props4 = this.props) === null || _this$props4 === void 0 ? void 0 : _this$props4.containerStyle]
    }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
      source: item.image,
      resizeMode: "contain",
      style: _slider.styles.itemCarouselImage
    }));
  }

}

exports.CarouselItem = CarouselItem;
var _default = CarouselItem;
exports.default = _default;
//# sourceMappingURL=CarouselItem.js.map