import React from 'react';
import LottieViewRN from 'lottie-react-native';
import { width } from '../../constant/theme';

const LottieView = _ref => {
  let {
    source,
    size = width * 0.25
  } = _ref;
  return /*#__PURE__*/React.createElement(LottieViewRN, {
    style: {
      width: size,
      height: size
    },
    source: source,
    hardwareAccelerationAndroid: true,
    autoPlay: true
  });
};

export default LottieView;
//# sourceMappingURL=LottieView.js.map