function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { StyleSheet, View } from 'react-native';
import Modal from 'react-native-modal';
import { colors } from '../../../constant/theme';
import Text from '../../Atoms/Text';

const Fullscreen = _ref => {
  let {
    isVisible,
    body,
    title,
    ...props
  } = _ref;
  return /*#__PURE__*/React.createElement(Modal, _extends({
    animationIn: "slideInUp",
    isVisible: isVisible,
    swipeDirection: ['down'],
    hasBackdrop: true,
    useNativeDriver: true,
    hideModalContentWhileAnimating: true,
    useNativeDriverForBackdrop: true
  }, props), /*#__PURE__*/React.createElement(View, {
    style: styles.body
  }, title ? /*#__PURE__*/React.createElement(Text, {
    text: title,
    color: colors.grey.white,
    variant: "bold"
  }) : null, body));
};

const styles = StyleSheet.create({
  body: {
    justifyContent: 'center',
    alignItems: 'center'
  }
});
export default Fullscreen;
//# sourceMappingURL=Fullscreen.js.map