import React from 'react';
import type { IconMoonProps } from 'react-native-icomoon';
import Icomoon from 'react-native-icomoon';
import json from '../../assets/fonts/selection.json';

type IconProps = Omit<IconMoonProps, 'iconSet'>;

export default function Icon({ name, ...restProps }: IconProps) {
  return <Icomoon iconSet={json} name={name} {...restProps} />;
}
