import React from 'react';
import { TouchableOpacity } from 'react-native';
import { colors } from '../../../constant/theme';
import { Icon } from '../../Atoms';
import Header from './Header';

const HeaderBack = ({ noShadow, style, onPress, iconColor }) => {
  return (
    <Header noShadow={noShadow} style={style}>
      <TouchableOpacity onPress={onPress}>
        <Icon
          name="arrow-left"
          color={iconColor ? iconColor : colors.grey.black}
          size={30}
        />
      </TouchableOpacity>
    </Header>
  );
};

export default HeaderBack;
