"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _lottieReactNative = _interopRequireDefault(require("lottie-react-native"));

var _theme = require("../../constant/theme");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const LottieView = _ref => {
  let {
    source,
    size = _theme.width * 0.25
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_lottieReactNative.default, {
    style: {
      width: size,
      height: size
    },
    source: source,
    hardwareAccelerationAndroid: true,
    autoPlay: true
  });
};

var _default = LottieView;
exports.default = _default;
//# sourceMappingURL=LottieView.js.map