"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _theme = require("../../../constant/theme");

var _Atoms = require("../../Atoms");

var _Header = _interopRequireDefault(require("./Header"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const HeaderBack = _ref => {
  let {
    noShadow,
    style,
    onPress,
    iconColor
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_Header.default, {
    noShadow: noShadow,
    style: style
  }, /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: onPress
  }, /*#__PURE__*/_react.default.createElement(_Atoms.Icon, {
    name: "arrow-left",
    color: iconColor ? iconColor : _theme.colors.grey.black,
    size: 30
  })));
};

var _default = HeaderBack;
exports.default = _default;
//# sourceMappingURL=HeaderBack.js.map