"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _Atoms = require("../../Atoms");

var _Header = _interopRequireDefault(require("./Header"));

var _header = require("./header.style");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const HeaderTitle = _ref => {
  let {
    noShadow,
    onPress,
    backIcon = 'left',
    title,
    style
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_Header.default, {
    noShadow: noShadow
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [_header.styles.headerTitleWrapper, style]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: onPress,
    style: {
      flex: 1
    }
  }, /*#__PURE__*/_react.default.createElement(_Atoms.Icon, {
    name: backIcon,
    color: "black",
    size: 30
  })), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _header.styles.headerBody
  }, /*#__PURE__*/_react.default.createElement(_Atoms.Text, {
    text: title,
    variant: "extraBold"
  })), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _header.styles.headerOptimizer
  })));
};

var _default = HeaderTitle;
exports.default = _default;
//# sourceMappingURL=HeaderTitle.js.map