"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.styles = void 0;

var _reactNative = require("react-native");

var _theme = require("../../../constant/theme");

const styles = _reactNative.StyleSheet.create({
  container: {
    marginBottom: _theme.width * 0.04
  },
  content: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'space-between',
    width: '100%'
  },
  labelWrapper: {
    flexDirection: 'row',
    alignItems: 'center'
  },
  formInputContainer: {
    marginVertical: _theme.height * 0.001,
    flexDirection: 'row',
    justifyContent: 'space-between',
    borderBottomColor: _theme.colors.grey.grey3,
    borderBottomWidth: 0.5
  },
  formInput: {
    color: 'black',
    borderWidth: 0,
    flex: 1,
    padding: 10
  },
  childIcon: {
    width: '100%',
    color: _theme.colors.grey.grey
  }
});

exports.styles = styles;
//# sourceMappingURL=input.style.js.map