"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _lottie = require("../../../assets/lottie");

var _theme = require("../../../constant/theme");

var _Atoms = require("../../Atoms");

var _Fullscreen = _interopRequireDefault(require("../../Molecules/Modal/Fullscreen"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const {
  loading
} = _lottie.lottie;

const LoadingOverlay = _ref => {
  let {
    loadingTitle,
    isVisible,
    ...props
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_Fullscreen.default, _extends({
    title: loadingTitle,
    isVisible: isVisible,
    body: /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: styles.body
    }, /*#__PURE__*/_react.default.createElement(_Atoms.LottieView, {
      size: _theme.width * 0.25,
      source: loading
    }))
  }, props));
};

const styles = _reactNative.StyleSheet.create({
  body: {
    backgroundColor: 'white',
    borderRadius: _theme.width * 0.05
  }
});

var _default = LoadingOverlay;
exports.default = _default;
//# sourceMappingURL=Overlay.js.map