import React from 'react';
import { TouchableOpacity } from 'react-native';
import { colors } from '../../../constant/theme';
import { Icon } from '../../Atoms';
export default function RadioButton(_ref) {
  let {
    selected,
    style,
    onPress
  } = _ref;
  return /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: onPress,
    style: style
  }, /*#__PURE__*/React.createElement(Icon, {
    name: selected ? 'radio-button-active' : 'radio-button-inactive',
    color: colors.primary,
    size: 20
  }));
}
//# sourceMappingURL=RadioButton.js.map