import { StyleSheet } from 'react-native';
import { colors, width } from '../../../constant/theme';
const styles = StyleSheet.create({
  ghostButton: {
    width: '100%',
    justifyContent: 'center',
    alignItems: 'center',
    paddingVertical: width * 0.025,
    borderRadius: width * 0.1,
    borderColor: colors.primary,
    borderWidth: 1,
    backgroundColor: 'white'
  },
  buttonDefault: {
    width: '100%',
    justifyContent: 'center',
    alignItems: 'center',
    paddingVertical: width * 0.03,
    borderRadius: width * 0.1,
    backgroundColor: colors.primary
  },
  buttonText: {
    flexDirection: 'row'
  },
  disabled: {
    backgroundColor: undefined,
    borderColor: colors.grey.grey3
  },
  row: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'space-between'
  },
  leftIcon: {
    marginRight: width * 0.03
  },
  rightIcon: {
    marginLeft: width * 0.03
  }
});
export default styles;
//# sourceMappingURL=button.style.js.map