function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { SafeAreaView, StatusBar, View } from 'react-native';
import { styles } from './header.style';

const Header = _ref => {
  let {
    androidStatusBarColor,
    iosBarStyle,
    style,
    transparent,
    translucent,
    ref,
    noShadow = false,
    ...props
  } = _ref;
  return /*#__PURE__*/React.createElement(View, {
    style: [styles.wrapper, noShadow ? {} : styles.shadow, style]
  }, /*#__PURE__*/React.createElement(StatusBar, {
    backgroundColor: androidStatusBarColor ? androidStatusBarColor : 'white',
    barStyle: iosBarStyle ? iosBarStyle : 'dark-content',
    translucent: transparent ? true : translucent
  }), /*#__PURE__*/React.createElement(SafeAreaView, null, /*#__PURE__*/React.createElement(View, _extends({
    ref: ref
  }, props))));
};

export default Header;
//# sourceMappingURL=Header.js.map