function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { StyleSheet, View } from 'react-native';
import { lottie } from '../../../assets/lottie';
import { width } from '../../../constant/theme';
import { LottieView } from '../../Atoms';
import Fullscreen from '../../Molecules/Modal/Fullscreen';
const {
  loading
} = lottie;

const LoadingOverlay = _ref => {
  let {
    loadingTitle,
    isVisible,
    ...props
  } = _ref;
  return /*#__PURE__*/React.createElement(Fullscreen, _extends({
    title: loadingTitle,
    isVisible: isVisible,
    body: /*#__PURE__*/React.createElement(View, {
      style: styles.body
    }, /*#__PURE__*/React.createElement(LottieView, {
      size: width * 0.25,
      source: loading
    }))
  }, props));
};

const styles = StyleSheet.create({
  body: {
    backgroundColor: 'white',
    borderRadius: width * 0.05
  }
});
export default LoadingOverlay;
//# sourceMappingURL=Overlay.js.map