import { StyleSheet } from 'react-native';
import { colors, width } from '../../../constant/theme';
export const styles = StyleSheet.create({
  sliderWrapper: {
    padding: width * 0.04,
    paddingHorizontal: 0,
    backgroundColor: 'white',
    marginBottom: width * 0.03
  },
  seeAllButton: {
    marginVertical: 10,
    borderRadius: 10,
    backgroundColor: 'white',
    justifyContent: 'center',
    alignItems: 'center',
    flexDirection: 'row'
  },
  container: {
    flexDirection: 'row',
    justifyContent: 'flex-start',
    marginRight: width * 0.03,
    marginVertical: 10
  },
  itemCarouselImage: {
    flex: 1,
    borderRadius: 20,
    paddingTop: 0,
    height: (width - 60) / 2
  },
  dotStyle: {
    marginTop: width * 0.02,
    width: width * 0.1,
    height: width * 0.02,
    borderRadius: 5,
    marginHorizontal: width * 0.001,
    backgroundColor: colors.primary
  },
  inactiveDot: {
    width: width * 0.02,
    height: width * 0.02,
    backgroundColor: colors.grey.grey1
  },
  contentBody: {
    paddingVertical: 0
  },
  carouselItemContainer: {
    flexGrow: 0,
    paddingVertical: 0
  },
  itemCarouselBody: {
    alignItems: 'flex-start',
    flexDirection: 'row'
  }
});
//# sourceMappingURL=slider.style.js.map