import React from 'react';
import LottieViewRN from 'lottie-react-native';
import { width } from '../../constant/theme';

const LottieView = ({ source, size = width * 0.25 }) => {
  return (
    <LottieViewRN
      style={{ width: size, height: size }}
      source={source}
      hardwareAccelerationAndroid
      autoPlay
    />
  );
};

export default LottieView;
