import React from 'react';
import { TouchableOpacity } from 'react-native';
import { colors } from '../../../constant/theme';
import { Icon } from '../../Atoms';

export default function RadioButton({ selected, style, onPress }) {
  return (
    <TouchableOpacity onPress={onPress} style={style}>
      <Icon
        name={selected ? 'radio-button-active' : 'radio-button-inactive'}
        color={colors.primary}
        size={20}
      />
    </TouchableOpacity>
  );
}
