import { StyleSheet } from 'react-native';
import { colors, height, width } from '../../../constant/theme';

export const styles = StyleSheet.create({
  container: {
    marginBottom: width * 0.04,
  },
  content: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'space-between',
    width: '100%',
  },
  labelWrapper: { flexDirection: 'row', alignItems: 'center' },
  formInputContainer: {
    marginVertical: height * 0.001,
    flexDirection: 'row',
    justifyContent: 'space-between',
    borderBottomColor: colors.grey.grey3,
    borderBottomWidth: 0.5,
  },
  formInput: {
    color: 'black',
    borderWidth: 0,
    flex: 1,
    padding: 10,
  },
  childIcon: { width: '100%', color: colors.grey.grey },
});
